Bug 217100 - Fn hotkey combinations do not function on Panasonic Toughbook CF-51
Fn hotkey combinations do not function on Panasonic Toughbook CF-51
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
6
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
http://www.netlab.cs.tsukuba.ac.jp/~y...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 22:07 EST by Jacob Thompson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 19:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jacob Thompson 2006-11-23 22:07:31 EST
Description of problem:
The function keys on the Panasonic Toughbook CF-51 are labeled for the following
hotkeys, which in Fedora Core 6 have no effect:
   Fn-F1: increase screen brightness
   Fn-F2: decrease screen brightness
   Fn-F3: switch LCD or external monitor
   Fn-F4: mute sound
   Fn-F5: volume down
   Fn-F6: volume up
   Fn-F7: suspend to RAM
   Fn-F10: suspend to disk

There is a kernel driver to turn these hotkeys into ACPI events, as well as a
script to do the actual functions at
http://www.netlab.cs.tsukuba.ac.jp/~yokota/izumi/panasonic_acpi/.  There is an
alternate version at http://www.da-cha.org/letsnote/.  As of Nov. 23, 2006,
there is no package in Fedora Core or Extras containing this driver or the
utilities.

Version-Release number of selected component (if applicable):
Fedora Core 6 (i386)

How reproducible:
Attempt to use any of the Fn hotkey sequences

Steps to Reproduce:
1.  Press Fn-F1 (decrease screen brightness)

  
Actual results:
Nothing happens


Expected results:
Decreased screen brightness

Additional info:
The driver is labeled for Panasonic "Let's Note" laptops, but also works with
the Toughbook (CF-51 at least).

Resolution:
Package request for pcc-acpi kernel module and associated utilities.
Comment 1 Bernard Johnson 2007-04-11 19:25:41 EDT
This request was miscategorized.  I moved the request to the Fedora Wishlist
http://fedoraproject.org/wiki/PackageMaintainers/WishList where some developer
may pick it up.

Closing this bug as NOTABUG as it is not a package review bug.

Note You need to log in before you can comment on or make changes to this bug.